Subject: Re: [lemonade] I-D ACTION:draft-ietf-lemonade-msgevent-00.txt

From: Randall Gellens <[email-masked]>
Date: Mon, 10 Jul 2006 13:15:44 -0700

Please include the modseq for the event, so a client can know if it 
has already processed the event (perhaps via inband notifications or 
a duplicate notification).

Also, my earlier comments against -00:

At 4:01 PM -0700 6/15/06, Randall Gellens wrote:

>  Thanks, Chris, for (re)submitting this.
>
>  A few requested clarifications for Section 5 (Event Parameters):
>
>  The 'service' parameter is interesting in the case where the the 
> user accesses the mail store via one protocol (such as HTTP) which 
> itself accesses the mail store via another protocol (such as IMAP). 
> As an example, there are a number of popular webmail products which 
> use IMAP (or even POP!) to access mail.  From the mail store's 
> perspective, all such access is via IMAP and likely from an IP 
> address that is not especially interesting (such as 127.0.0.1). 
> I'm not sure how to accommodate this in a general event framework, 
> though.  A 'pass-through' parameter would be useful, but there 
> isn't anything I can think of off-hand in IMAP to pass such 
> information through, so it might be best left for future extension, 
> perhaps with a note about it.
>
>  The 'timestamp' parameter should be specified as to its form.
>  --
>  Randall Gellens
>  Opinions are personal;    facts are suspect;    I speak for myself only
>  -------------- Randomly-selected tag: ---------------
>  There will be no lasting peace on our earth as long as politicians and
>  dictators continue to lead masses of people who are endemically
>  neurotic and sexually sick.                            --Wilhelm Reich
>
>  _______________________________________________
>  lemonade mailing list
>  [email-masked]
>  https://www1.ietf.org/mailman/listinfo/lemonade

-- 
Randall Gellens
Opinions are personal;    facts are suspect;    I speak for myself only
-------------- Randomly-selected tag: ---------------
The optimist proclaims that we live in the best of all possible worlds,
and the pessimist fears this is true.            --James Branch Cabell

_______________________________________________
lemonade mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/lemonade

---

From: Arnt Gulbrandsen <[email-masked]>
Date: Mon, 10 Jul 2006 22:19:54 +0200

> a duplicate notification).

I believe modseq and UID are both necessary, since multiple messages can 
share a modseq. (For example, if you issue COPY 1:1000 otherfolder, 
then a reasonable implementation may use one modseq for all thousand 
copies made.)

Arnt